﻿namespace DotSDL.Input.Keyboard {
    /// <summary>
    /// Contains a list of keyboard scancodes used by SDL2.
    /// </summary>
    public enum Scancode {
        Unknown = 0,
        A = 4,
        B = 5,
        C = 6,
        D = 7,
        E = 8,
        F = 9,
        G = 10,
        H = 11,
        I = 12,
        J = 13,
        K = 14,
        L = 15,
        M = 16,
        N = 17,
        O = 18,
        P = 19,
        Q = 20,
        R = 21,
        S = 22,
        T = 23,
        U = 24,
        V = 25,
        W = 26,
        X = 27,
        Y = 28,
        Z = 29,
        NumRow1 = 30,
        NumRow2 = 31,
        NumRow3 = 32,
        NumRow4 = 33,
        NumRow5 = 34,
        NumRow6 = 35,
        NumRow7 = 36,
        NumRow8 = 37,
        NumRow9 = 38,
        NumRow0 = 39,
        Return = 40,
        Escape = 41,
        Backspace = 42,
        Tab = 43,
        Space = 44,
        Minus = 45,
        Equals = 46,
        LeftBracket = 47,
        RightBracket = 48,
        Backslash = 49,
        NonUsHash = 50,
        Semicolon = 51,
        Apostrophe = 52,
        Grave = 53,
        Comma = 54,
        Period = 55,
        Slash = 56,
        CapsLock = 57,
        F1 = 58,
        F2 = 59,
        F3 = 60,
        F4 = 61,
        F5 = 62,
        F6 = 63,
        F7 = 64,
        F8 = 65,
        F9 = 66,
        F10 = 67,
        F11 = 68,
        F12 = 69,
        PrintScreen = 70,
        ScrollLock = 71,
        Pause = 72,
        Insert = 73,
        Home = 74,
        PageUp = 75,
        Delete = 76,
        End = 77,
        PageDown = 78,
        Right = 79,
        Left = 80,
        Down = 81,
        Up = 82,
        NumLockClear = 83,
        NumPadDivide = 84,
        NumPadMultiply = 85,
        NumPadMinus = 86,
        NumPadPlus = 87,
        NumPadEnter = 88,
        NumPad1 = 89,
        NumPad2 = 90,
        NumPad3 = 91,
        NumPad4 = 92,
        NumPad5 = 93,
        NumPad6 = 94,
        NumPad7 = 95,
        NumPad8 = 96,
        NumPad9 = 97,
        NumPad0 = 98,
        NumPadPeriod = 99,
        NonUsBackslash = 100,
        Application = 101,
        Power = 102,
        NumPadEquals = 103,
        F13 = 104,
        F14 = 105,
        F15 = 106,
        F16 = 107,
        F17 = 108,
        F18 = 109,
        F19 = 110,
        F20 = 111,
        F21 = 112,
        F22 = 113,
        F23 = 114,
        F24 = 115,
        Execute = 116,
        Help = 117,
        Menu = 118,
        Select = 119,
        Stop = 120,
        Again = 121,
        Undo = 122,
        Cut = 123,
        Copy = 124,
        Paste = 125,
        Find = 126,
        Mute = 127,
        VolumeUp = 128,
        VolumeDown = 129,
        NumPadComma = 133,
        NumPadEqualsAs400 = 134,
        International1 = 135,
        International2 = 136,
        International3 = 137,
        International4 = 138,
        International5 = 139,
        International6 = 140,
        International7 = 141,
        International8 = 142,
        International9 = 143,
        Lang1 = 144,
        Lang2 = 145,
        Lang3 = 146,
        Lang4 = 147,
        Lang5 = 148,
        Lang6 = 149,
        Lang7 = 150,
        Lang8 = 151,
        Lang9 = 152,
        AltErase = 153,
        SysReq = 154,
        Cancel = 155,
        Clear = 156,
        Prior = 157,
        Return2 = 158,
        Separator = 159,
        Out = 160,
        Oper = 161,
        ClearAgain = 162,
        CrSel = 163,
        ExSel = 164,
        Numpad00 = 176,
        Numpad000 = 177,
        ThousandsSeparator = 178,
        DecimalSeparator = 179,
        CurrencyUnit = 180,
        CurrencySubunit = 181,
        NumPadLeftParen = 182,
        NumPadRightParen = 183,
        NumPadLeftBrace = 184,
        NumPadRightBrace = 185,
        NumPadTab = 186,
        NumPadBackspace = 187,
        NumPadA = 188,
        NumPadB = 189,
        NumPadC = 190,
        NumPadD = 191,
        NumPadE = 192,
        NumPadF = 193,
        NumPadXor = 194,
        NumPadPower = 195,
        NumPadPercent = 196,
        NumPadLess = 197,
        NumPadGreater = 198,
        NumPadAmpersand = 199,
        NumPadDblAmpersand = 200,
        NumPadVerticalBar = 201,
        NumPadDblVerticalBar = 202,
        NumPadColon = 203,
        NumPadHash = 204,
        NumPadSpace = 205,
        NumPadAt = 206,
        NumPadExclam = 207,
        NumPadMemStore = 208,
        NumPadMemRecall = 209,
        NumPadMemClear = 210,
        NumPadMemAdd = 211,
        NumPadMemSubtract = 212,
        NumPadMemMultiply = 213,
        NumPadMemDivide = 214,
        NumPadPlusMinus = 215,
        NumPadClear = 216,
        NumPadClearEntry = 217,
        NumPadBinary = 218,
        NumPadOctal = 219,
        NumPadDecimal = 220,
        NumPadHexadecimal = 221,
        LCtrl = 224,
        LShift = 225,
        LAlt = 226,
        LGui = 227,
        RCtrl = 228,
        RShift = 229,
        RAlt = 230,
        RGui = 231,
        Mode = 257,
        AudioNext = 258,
        AudioPrev = 259,
        AudioStop = 260,
        AudioPlay = 261,
        AudioMute = 262,
        MediaSelect = 263,
        Web = 264,
        Mail = 265,
        Calculator = 266,
        Computer = 267,
        AcSearch = 268,
        AcHome = 269,
        AcBack = 270,
        AcForward = 271,
        AcStop = 272,
        AcRefresh = 273,
        AcBookmarks = 274,
        BrightnessDown = 275,
        BrightnessUp = 276,
        DisplaySwitch = 277,
        KbdIllumToggle = 278,
        KbdIllumDown = 279,
        KbdIllumUp = 280,
        Eject = 281,
        Sleep = 282,
        App1 = 283,
        App2 = 284
    }
}
